diff --git a/changelog b/changelog
index 49c499b..499e97e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090925 tpd src/axiom-website/patches.html 20090925.01.tpd.patch
+20090925 tpd src/interp/info.lisp cleanup
 20090924 tpd src/axiom-website/patches.html 20090924.02.tpd.patch
 20090924 tpd src/interp/functor.lisp cleanup
 20090924 tpd src/axiom-website/patches.html 20090924.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 44ddb52..2b62edb 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2026,5 +2026,7 @@ src/interp/compiler.lisp cleanup<br/>
 src/interp/define.lisp cleanup<br/>
 <a href="patches/20090924.02.tpd.patch">20090924.02.tpd.patch</a>
 src/interp/functor.lisp cleanup<br/>
+<a href="patches/20090925.01.tpd.patch">20090925.01.tpd.patch</a>
+src/interp/info.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/info.lisp.pamphlet b/src/interp/info.lisp.pamphlet
index acc20ea..35336a0 100644
--- a/src/interp/info.lisp.pamphlet
+++ b/src/interp/info.lisp.pamphlet
@@ -114,6 +114,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 ;addInfo u == $Information:= [formatInfo u,:$Information]
 
 (DEFUN |addInfo| (|u|)
+  (declare (special |$Information|))
   (SPADLET |$Information| (CONS (|formatInfo| |u|) |$Information|)))
 
 ;formatInfo u ==
@@ -138,6 +139,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 
 (DEFUN |formatInfo| (|u|)
   (PROG (|l| |v| |ISTMP#1| |a| |ISTMP#2| |b| |ISTMP#3| |c|)
+  (declare (special |$e|))
     (RETURN
       (SEQ (COND
              ((ATOM |u|) |u|)
@@ -276,6 +278,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 
 (DEFUN |formatPred| (|u|)
   (PROG (|a| |ISTMP#2| |b| |ISTMP#1| |v|)
+  (declare (special |$e|))
     (RETURN
       (SEQ (COND
              ((AND (PAIRP |u|) (EQ (QCAR |u|) '|has|)
@@ -355,6 +358,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 
 (DEFUN |chaseInferences,foo| (|pred|)
   (PROG (|l| |ante| |conseq| |ante'| |v'|)
+  (declare (special |$e|))
     (RETURN
       (SEQ (IF (|knownInfo| |pred|) (EXIT NIL))
            (SPADLET |$e| (|actOnInfo| |pred| |$e|))
@@ -574,6 +578,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
   (PROG (|attr| |x| |cat| |a| |vmode| |l| |LETTMP#1| |vv| |catlist| |u|
                 |ISTMP#1| |name| |ISTMP#2| |op| |ISTMP#3| |sig| |v|
                 |ww|)
+  (declare (special |$e| |$EmptyMode|))
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |pred| 'T) 'T)
@@ -836,6 +841,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
                 |key| |name| |cat| |vval| |vmode| |venv| |catvec|
                 |LETTMP#1| |ocatvec| |ISTMP#1| |ISTMP#2| |ISTMP#3|
                 |viewName|)
+  (declare (special |$functorLocalParameters|))
     (RETURN
       (SEQ (COND
              ((NULL |u|) |$e|)
@@ -1078,6 +1084,7 @@ modemap is of the form : ((op (targ arg1 arg2 ... argn)) pred (elt $ n))
 
 (DEFUN |GetValue| (|name|)
   (PROG (|u|)
+  (declare (special |$e| |$EmptyMode|))
     (RETURN
       (COND
         ((SPADLET |u| (|get| |name| '|value| |$e|)) |u|)
